Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect
Class HSQLDialect.ReadUncommittedLockingStrategy

    java.lang.Object
      org.hibernate.dialect.lock.SelectLockingStrategy
          org.hibernate.dialect.HSQLDialect.ReadUncommittedLockingStrategy

All Implemented Interfaces:
  LockingStrategy

Enclosing class:
  HSQLDialect

    public static class HSQLDialect.ReadUncommittedLockingStrategy

extends SelectLockingStrategy

Constructor Summary
`HSQLDialect.ReadUncommittedLockingStrategy(Lockable lockable, LockMode lockMode)`

Method Summary
`void` | `lock(Serializable id, Object version, Object object, SessionImplementor session)` Acquire an appropriate type of lock on the underlying data that will endure until the end of the current transaction.

Methods inherited from class org.hibernate.dialect.lock.SelectLockingStrategy
`generateLockString, getLockMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSQLDialect.ReadUncommittedLockingStrategy

    public HSQLDialect.ReadUncommittedLockingStrategy(Lockable lockable,
                                                      LockMode lockMode)

Method Detail

### lock

    public void lock(Serializable id,
                     Object version,
                     Object object,
                     SessionImplementor session)
              throws StaleObjectStateException,
                     JDBCException

  Description copied from interface: `LockingStrategy`
  Acquire an appropriate type of lock on the underlying data that will endure until the end of the current transaction.

  Specified by:
    `lock` in interface `LockingStrategy`
  Overrides:
    `lock` in class `SelectLockingStrategy`
  Parameters:
    `id` - The id of the row to be locked
    `version` - The current version (or null if not versioned)
    `object` - The object logically being locked (currently not used)
    `session` - The session from which the lock request originated
  Throws:
    `StaleObjectStateException` - Indicates an optimisitic lock failure as part of acquiring the requested database lock.
    `JDBCException`
  See Also:
    `LockingStrategy.lock(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.engine.SessionImplementor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD